﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="WebUserControl1.ascx.cs" Inherits="ASPGridVS2010.WebUserControl1" %>


    <div>
        <ej:Grid ID="OrdersGrid" runat="server" AllowSorting="True" AllowPaging="True">
            <Columns>
                 <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="Status" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" Width="75" Format="{0:C}" />
                <ej:Column Field="Cost" TextAlign="Right" Width="80" />
                <ej:Column Field="Average" Width="110" />
                <ej:Column Field="Total" Width="110" />
            </Columns>
             <ClientSideEvents Create="create" ToolbarClick="click"/>
            <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="Batch"></EditSettings>
            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
        </ej:Grid>
    </div>
  <script type="text/javascript">
          function create(args) {
//Storing editing disabled columns details initially
              window.data = this._disabledEditableColumns;

          }
          function click(args)
          {

              if (args.itemName == "Add")
                  this._disabledEditableColumns = [];
              else
                  this._disabledEditableColumns = window.data;
          }
         
</script>