﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ASPGridVS2010
{
    public partial class WebUserControl1 : System.Web.UI.UserControl
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
        }

        private void BindDataSource()
        {
            int code = 10000;

            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "ALFKI", "open", 2.3 * i, 1000, 1000 / 6, 1000 + 2.3 * i));
                order.Add(new Orders(code + 2, "ANATR", "close", 3.3 * i, 2000, 2000 / 6, 2000 + 2.3 * i));
                order.Add(new Orders(code + 3, "ANTON", "open", 4.3 * i, 3000, 3000 / 6, 3000 + 2.3 * i));
                order.Add(new Orders(code + 4, "BLONP", "open", 5.3 * i, 4000, 4000 / 6, 4000 + 2.3 * i));
                order.Add(new Orders(code + 5, "BOLID", "open", 6.3 * i, 5000, 5000 / 6, 5000 + 2.3 * i));
                order.Add(new Orders(code + 6, "TARTS", "close", 7.3 * i, 6000, 6000 / 6, 6000 + 2.3 * i));
                code += 5;
            }
            this.OrdersGrid.DataSource = order;
            this.OrdersGrid.DataBind();
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, string status, double Freight, double cost, double average, double total)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.Status = status;
                this.Freight = Freight;
                this.Cost = cost;
                this.Average = average;
                this.Total = total;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public string Status { get; set; }
            public double Freight { get; set; }
            public double Cost { get; set; }
            public double Average { get; set; }
            public double Total { get; set; }
        }
    }
}